Bug 665023 - lost double clicks on slow connections
lost double clicks on slow connections
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-12-22 08:25 EST by Paolo Bonzini
Modified: 2011-07-21 07:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: kvm-83-227.el5
Doc Type: Bug Fix
Doc Text:
The QEMU emulator did not enqueue mouse events; it simply records the latest mouse state. Prior to this update, double click or dragging mouse events were sometimes lost, especially on high-latency connections. Now, the code for mouse descriptors has been fixed, and lost mouse events occur much less frequently.
Story Points: ---
Clone Of: 665017
: 665025 (view as bug list)
Environment:
Last Closed: 2011-07-21 04:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2010-12-22 08:25:31 EST
+++ This bug was initially created as a clone of Bug #665017 +++

qemu doesn't enqueue mouse events, it just records the latest mouse state. This can cause some lost mouse double clicks if the events are not processed fast enough.  In particular, dragging/doubleclicking are impossible on a high latency connection (e.g. Milan->Phoenix->Brno).

I'll post patches to upstream QEMU to fix this, based on these xen-unstable qemu.git patches:

28b7599603cc2165cd68961be034979657759f40
    Queue some mouse events.

bfaaa608ded03c458a970be818cc319f5fe914d7
    Try to fix USB HID and make the HID reports readable

dd0a0055a99b0226f31b29c14e2c18eeaac757f7
    Fix new USB HID queueing
Comment 7 Mike Cao 2011-06-01 13:25:56 EDT
Reproduce the issue on kvm-83-224
Verified the issue on kvm-83-235 

steps:( for this case I use the slowest vpn proxy address to test)
1.start win08 guest as followings :
eg:/usr/libexec/qemu-kvm -M rhel5.6.0 -m 2048 -smp 4,sockets=4,cores=1,threads=1 -name windows2008_qcow2 -uuid cddeab65-2ded-43db-094a-fd4f8ec2d69f -monitor stdio -localtime -no-kvm-pit-reinjection -boot c -drive file=/home/windows08.qcow2,if=ide,bus=0,unit=0,format=qcow2,cache=none -drive file=/home/en_windows_server_2008_datacenter_enterprise_standard_sp2_x64_dvd_342336.iso,if=ide,media=cdrom,bus=1,unit=0,readonly=on,format=raw -net nic,macaddr=54:52:00:4f:26:51,vlan=0 -net tap,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc :1 -k en-us -balloon none
2.in the guest ,modified the double-click speed to fastest in the control panel.
3,Tried to open some folder or files by using double-click

Acutal Results:
on kvm-83-224 ,50% times double clicks in the guest does *not* work.
on kvm-83-235 ,random times double clicks in the guest does *not* work

Based on above ,this issue has been fixed.
Comment 9 Tomas Capek 2011-07-19 05:06:56 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The QEMU emulator did not enqueue mouse events; it simply records the latest mouse state. Prior to this update, double click or dragging mouse events were sometimes lost, especially on high-latency connections. Now, the code for mouse descriptors has been fixed, and lost mouse events occur much less frequently.
Comment 10 errata-xmlrpc 2011-07-21 04:51:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1068.html
Comment 11 errata-xmlrpc 2011-07-21 07:49:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1068.html

Note You need to log in before you can comment on or make changes to this bug.